Package org.eclipse.emf.cdo.spi.common

## Interface CDORawReplicationContext

- All Superinterfaces:
    `CDOReplicationInfo`
  All Known Subinterfaces:
    `InternalFailoverParticipant`, `InternalSynchronizableRepository`

      public interface CDORawReplicationContext
      extends CDOReplicationInfo

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `replicateRaw​(CDODataInput in, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.CDOReplicationInfo

      `getLastReplicatedBranchID, getLastReplicatedCommitTime, getLockAreaIDs`

- - ### Method Detail

    - #### replicateRaw

          void replicateRaw​(CDODataInput in,
                            org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.0